Bug 212711 - [typo] bhyve: virtio-rnd PCI ID doesn't match viorng driver from Redhat
Summary: [typo] bhyve: virtio-rnd PCI ID doesn't match viorng driver from Redhat
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-virtualization mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-15 23:12 UTC by Jan Beich
Modified: 2017-02-16 17:09 UTC (History)
2 users (show)

See Also:
jbeich: mfc-stable11?
jbeich: mfc-stable10?


Attachments
fix (1.00 KB, patch)
2016-09-15 23:12 UTC, Jan Beich
no flags Details | Diff
screenshot (28.09 KB, image/png)
2016-09-15 23:17 UTC, Jan Beich
no flags Details
fix (430 bytes, patch)
2016-09-15 23:31 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-09-15 23:12:46 UTC
Created attachment 174811 [details]
fix

bhyve: virtio-rnd PCI ID doesn't match viorng from Redhat

1. Install Windows 10 (or earlier)
2. Boot it with -s 6,virtio-rnd
3. Press Win + X -> Device Manager
4. Notice missing driver for Other devices -> Network and Computing Encryption/Decryption Controller
5. Try to install viorng from virtio-win ISO

$ fgrep DeviceDesc% viorng/*/*/viorng.inf
viorng/2k12/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/2k12R2/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/2k8/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/2k8/x86/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/2k8R2/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w10/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w10/x86/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w7/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w7/x86/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w8.1/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w8.1/x86/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w8/amd64/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00
viorng/w8/x86/viorng.inf:%VirtRng.DeviceDesc% = VirtRng_Device, PCI\VEN_1AF4&DEV_1005&SUBSYS_00041AF4&REV_00

https://fedorapeople.org/groups/virt/virtio-win/direct-downloads/latest-virtio/
Comment 1 Jan Beich freebsd_committer 2016-09-15 23:17:37 UTC
Created attachment 174813 [details]
screenshot
Comment 2 Jan Beich freebsd_committer 2016-09-15 23:31:01 UTC
Created attachment 174817 [details]
fix

Oops, prune unrelated noise.
Comment 3 Peter Grehan freebsd_committer 2016-09-16 00:14:28 UTC
Great diagnosis - will submit the proposed fix.
Comment 4 commit-hook freebsd_committer 2017-01-08 20:59:42 UTC
A commit references this bug:

Author: grehan
Date: Sun Jan  8 20:58:58 UTC 2017
New revision: 311702
URL: https://svnweb.freebsd.org/changeset/base/311702

Log:
  Use correct PCI device id for virtio-rng.
  This prevented the device from attaching with a
  Windows guest (most other guests use the device type
  for matching)

  PR:	212711
  Submitted by:	jbeich
  MFC after:	3 days

Changes:
  head/usr.sbin/bhyve/virtio.h
Comment 5 Conrad Meyer freebsd_committer 2017-02-15 23:44:03 UTC
Can this fixed bug be closed?
Comment 6 Peter Grehan freebsd_committer 2017-02-16 05:21:45 UTC
Yep; closing. Yet to MFC but will get to that.
Comment 7 commit-hook freebsd_committer 2017-02-16 17:08:06 UTC
A commit references this bug:

Author: grehan
Date: Thu Feb 16 17:07:20 UTC 2017
New revision: 313811
URL: https://svnweb.freebsd.org/changeset/base/313811

Log:
  MFC r311702
    Use correct PCI device id for virtio-rng.
    This prevented the device from attaching with a
    Windows guest (most other guests use the device type
    for matching)

    PR:   212711

Changes:
_U  stable/11/
  stable/11/usr.sbin/bhyve/virtio.h
Comment 8 commit-hook freebsd_committer 2017-02-16 17:09:08 UTC
A commit references this bug:

Author: grehan
Date: Thu Feb 16 17:08:44 UTC 2017
New revision: 313812
URL: https://svnweb.freebsd.org/changeset/base/313812

Log:
  MFC r311702
    Use correct PCI device id for virtio-rng.
    This prevented the device from attaching with a
    Windows guest (most other guests use the device type
    for matching)

    PR:   212711

Changes:
_U  stable/10/
  stable/10/usr.sbin/bhyve/virtio.h